Bug 233561 - gdal-config --dep-libs returns -L/usr/lib/lib
gdal-config --dep-libs returns -L/usr/lib/lib
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-03-23 04:04 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-02 07:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-03-23 04:04:06 EDT
Description of problem:

Another issue with gdal-config ;)

gdal-config --dep-libs returns -L/usr/lib/lib

This directory doesn't exist nor does would it make sense

# gdal-config --dep-libs
-L/usr/lib -lgeos -lgeos_c -lodbc -lodbcinst -lxerces-c -L/usr/lib/hdf
-L/usr/lib/netcdf-3 -ljasper -lhdf5 -lmfhdf -ldf -logdi -lgif -ljpeg -ltiff
-lpng -lnetcdf -lcfitsio -lgrass_vect -lgrass_dig2 -lgrass_dgl -lgrass_rtree
-lgrass_linkm -lgrass_dbmiclient -lgrass_dbmibase -lgrass_I -lgrass_gproj
-lgrass_vask -lgrass_gmath -lgrass_gis -lgrass_datetime -lpq -L/usr/lib -lpq -lz
-lpthread -lm -lrt -ldl -L/usr/lib/lib -ldap -ldapclient -ldapserver -lpthread
-lrx -L/usr/kerberos/lib -lcurl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
-lresolv -ldl -lidn -lssl -lcrypto -lz -L/usr/lib -lxml2 -lz -lm -lsqlite3
-L/usr/kerberos/lib -lcurl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv
-ldl -lidn -lssl -lcrypto -lz -L/usr/lib/mysql -lmysqlclient -lz -lcrypt -lnsl
-lm -L/usr/lib -lssl -lcrypto

Version-Release number of selected component (if applicable):

Expected results:
gdal-config not to reference invalid dirs.

Additional info:
I don't know where this -L/usr/lib/lib originates from, but I'd assume presense
of -L/usr/lib/lib to be a side-effect of a bug elsewhere.
Comment 1 Balint Cristian 2007-04-02 07:04:24 EDT

gdal-config --dep-libs
-L/usr/lib64 -lgeos -lgeos_c -lodbc -lodbcinst -lxerces-c -L/usr/lib64/hdf 
-L/usr/lib64/netcdf-3 -ljasper -lhdf5 -lmfhdf -ldf -logdi -lgif -ljpeg -ltiff
 -lpng -lnetcdf -lcfitsio -lgrass_vect -lgrass_dig2 -lgrass_dgl -lgrass_rtree
 -lgrass_linkm -lgrass_dbmiclient -lgrass_dbmibase -lgrass_I -lgrass_gproj 
-lgrass_vask -lgrass_gmath -lgrass_gis -lgrass_datetime -lpq -L/usr/lib64
 -lpq -lz -lpthread -lm -lrt -ldl -ldap -ldapclient -ldapserver -lpthread 
-lrx -lcurl -lxml2 -lz -lm -lsqlite3 -lcurl -L/usr/lib64/mysql -lmysqlclient
 -lz -lcrypt -lnsl -lm -L/usr/lib64 -lssl -lcrypto

Note You need to log in before you can comment on or make changes to this bug.